Subject: Ticket Assigned - Article Feedback - Can I place an order online without a Credit or Debit Card?
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 18 Jul 2020 08:13:45 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - Can I place an order online without a Credit or Debit Card? Feedback for:  Can I place an order online without a Credit or Debit Card? By now I am placing a new order and want to pay either cash or debit card (Kent) but the available method of payment only credit/ visa which I don’t have it in use. Please help how can I complete my order in this case ? You have system issue or what? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1310119